Bug 814163 - Add--delete--add repository discrepancy
Add--delete--add repository discrepancy
Status: CLOSED ERRATA
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: RHUA (Show other bugs)
2.1
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: wes hayutin
mkovacik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 06:21 EDT by mkovacik
Modified: 2012-08-24 09:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
rhui-manager cannot perform add-delete-add repositories. When a repository is deleted, it is no longer available for adding back. rh-rhui-tools 2.0.68 has been patched so that if add repo fails in rhui-manager, a list of available products will repopulate, and thus solve the list discrepancy problem.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-24 07:54:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log files (193.28 KB, application/zip)
2012-04-19 06:23 EDT, mkovacik
no flags Details
Verifying screen log (21.42 KB, text/plain)
2012-08-02 06:55 EDT, mkovacik
no flags Details

  None (edit)
Description mkovacik 2012-04-19 06:21:49 EDT
Description of problem:
Having deleted managed repository the repository is not present in list of repositories available for adding.

Version-Release number of selected component (if applicable):


How reproducible:
Unable to reproduce

Actual results:
Add--delete--add: list of repositories available for managing doesn't contain a previously deleted repository

Expected results:
Add--delete--add a repository should be possible

Additional info:
Happened during proxy set-up test. Firewall was modified to disable outgoing https traffic; two RHN entitlement certificates were uploaded.
Here, the repository   "25: Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI" wanished.

### Screen Log


[root@rhua-host ~]# vim /etc/rhui/rhui-tools.conf
[root@rhua-host ~]# service pulp-server restart
Stopping httpd:                                            [  OK  ]
Stopping Qpid AMQP daemon:                                 [  OK  ]
Stopping mongod:                                           [  OK  ]
Starting mongod:                                           [  OK  ]
Starting Qpid AMQP daemon:                                 [  OK  ]
Starting httpd: httpd: Could not reliably determine the server's fully qualified domain name, using 10.3.94.95 for ServerName
                                                           [  OK  ]
[root@rhua-host ~]# rhui-manager

------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Home =-

   r   manage repositories
   c   manage content delivery servers (CDS)
   s   synchronization status and scheduling
   e   create entitlement certificates and client configuration RPMs
   n   manage Red Hat entitlement certificates
   u   manage users
   i   manage identity certificate

   logout
       removes stored authentication credentials and exits

   <   move to the previous screen
   ^, home
       move to the home screen
   /, clear
       clears the screen
   ?, help
       display help
   q, quit, exit
       exit

                                                          Connected: rhua-host
------------------------------------------------------------------------------
rhui (home) => s

------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Synchronization Status =-

   dr  display repo sync summary
   vr  view the details of the last repository sync
   sr  sync an individual repository immediately
   dc  display CDS sync summary
   vc  view the details of the last CDS sync
   sc  sync an individual CDS immediately

                                                          Connected: rhua-host
------------------------------------------------------------------------------
rhui (sync) => sr

Select one or more repositories to schedule to be synchronized before its scheduled time.
The sync will happen as soon as possible depending on other tasks that may be executing
in the RHUI. Only repositories that are not currently synchronizing are displayed.

         Last Result         Next Sync         Repository
         ------------------------------------------
  -  1 : Success    04-18-2012 08:58  Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-i386)
  -  2 : Success    04-18-2012 08:58  Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-x86_64)
  -  3 : Success    04-18-2012 08:36  Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-i386)
  -  4 : Success    04-18-2012 08:36  Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-x86_64)
  -  5 : Success    04-18-2012 13:33  Red Hat Update Infrastructure 2.0 (RPMs) (6Server-x86_64)
Enter value (1-5) to toggle selection, 'c' to confirm selections, or '?' for more commands: 5

Select one or more repositories to schedule to be synchronized before its scheduled time.
The sync will happen as soon as possible depending on other tasks that may be executing
in the RHUI. Only repositories that are not currently synchronizing are displayed.

         Last Result         Next Sync         Repository
         ------------------------------------------
  -  1 : Success    04-18-2012 08:58  Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-i386)
  -  2 : Success    04-18-2012 08:58  Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-x86_64)
  -  3 : Success    04-18-2012 08:36  Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-i386)
  -  4 : Success    04-18-2012 08:36  Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-x86_64)
  x  5 : Success    04-18-2012 13:33  Red Hat Update Infrastructure 2.0 (RPMs) (6Server-x86_64)
Enter value (1-5) to toggle selection, 'c' to confirm selections, or '?' for more commands: c


The following repositories will be scheduled for synchronization:
  Red Hat Update Infrastructure 2.0 (RPMs) (6Server-x86_64)
Proceed? (y/n) y


Scheduling sync for Red Hat Update Infrastructure 2.0 (RPMs) (6Server-x86_64)...
... successfully scheduled for the next available timeslot.

------------------------------------------------------------------------------
rhui (sync) => dr

------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Repository Synchronization Status =-

Last Refreshed: 08:19:18
(updated every 5 seconds, ctrl+c to exit)

Next Sync                    Last Sync                    Last Result
------------------------------------------------------------------------------
Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-i386)
04-18-2012 08:58             04-18-2012 03:16             Success

Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-x86_64)
04-18-2012 08:58             04-18-2012 03:20             Success

Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-i386)
04-18-2012 08:36             04-18-2012 02:43             Success

Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-x86_64)
04-18-2012 08:36             04-18-2012 02:45             Success

Red Hat Update Infrastructure 2.0 (RPMs) (6Server-x86_64)
04-18-2012 13:33             04-18-2012 08:14             Success


                                                          Connected: rhua-host
------------------------------------------------------------------------------
^Crhui (sync) => <

------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Home =-

   r   manage repositories
   c   manage content delivery servers (CDS)
   s   synchronization status and scheduling
   e   create entitlement certificates and client configuration RPMs
   n   manage Red Hat entitlement certificates
   u   manage users
   i   manage identity certificate

                                                          Connected: rhua-host
------------------------------------------------------------------------------
rhui (home) => r

------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Repository Management =-

   l   list repositories currently managed by the RHUI
   i   display detailed information on a repository
   a   add a new Red Hat content repository
   c   create a new custom repository
   d   delete a repository from the RHUI
   u   upload content to a custom repository
   p   list packages in a repository

                                                          Connected: rhua-host
------------------------------------------------------------------------------
rhui (repo) => a

Loading latest entitled products from Red Hat...
... listings loaded
Determining undeployed products...
... product list calculated

Import Repositories:
  1  - All in Certificate
  2  - By Product
  3  - By Repository
Enter value (1-3) or 'b' to abort: 2

All repositories for selected products will be imported in this process.

Select the products to be deployed to the RHUI (only undeployed products are displayed):
  -  1 : Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (Debug RPMs) from RHUI
  -  2 : Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (RPMs) from RHUI
  -  3 : Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (Source RPMs) from RHUI
  -  4 : Red Hat Enterprise Linux 5 Server - Supplementary (Debug RPMs) from RHUI
  -  5 : Red Hat Enterprise Linux 5 Server - Supplementary (RPMs) from RHUI
  -  6 : Red Hat Enterprise Linux 5 Server - Supplementary (Source RPMs) from RHUI
  -  7 : Red Hat Enterprise Linux 5 Server - Supplementary Beta (Debug RPMs) from RHUI
  -  8 : Red Hat Enterprise Linux 5 Server - Supplementary Beta (RPMs) from RHUI
  -  9 : Red Hat Enterprise Linux 5 Server - Supplementary Beta (Source RPMs) from RHUI
  -  10: Red Hat Enterprise Linux 5 Server Beta from RHUI (Debug RPMs)
  -  11: Red Hat Enterprise Linux 5 Server Beta from RHUI (RPMs)
  -  12: Red Hat Enterprise Linux 5 Server Beta from RHUI (Source RPMs)
  -  13: Red Hat Enterprise Linux 5 Server from RHUI (Debug RPMs)
  -  14: Red Hat Enterprise Linux 5 Server from RHUI (Source RPMs)
  -  15: Red Hat Enterprise Linux 6 Server (Debug RPMs) from RHUI
  -  16: Red Hat Enterprise Linux 6 Server (Source RPMs) from RHUI
  -  17: Red Hat Enterprise Linux 6 Server - Optional (Debug RPMs) from RHUI
  -  18: Red Hat Enterprise Linux 6 Server - Optional (RPMs) from RHUI
  -  19: Red Hat Enterprise Linux 6 Server - Optional (Source RPMs) from RHUI
  -  20: Red Hat Enterprise Linux 6 Server - Optional Beta (Source RPMs) from RHUI
  -  21: Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI (RPMs)
  -  22: Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI(Debug RPMs)
  -  23: Red Hat Enterprise Linux 6 Server - Supplementary (Debug RPMs) from RHUI
  -  24: Red Hat Enterprise Linux 6 Server - Supplementary (RPMs) from RHUI
  -  25: Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI
  -  26: Red Hat Enterprise Linux 6 Server - Supplementary Beta (Debug RPMs) from RHUI
  -  27: Red Hat Enterprise Linux 6 Server - Supplementary Beta (RPMs) from RHUI
  -  28: Red Hat Enterprise Linux 6 Server - Supplementary Beta (Source RPMs) from RHUI
  -  29: Red Hat Enterprise Linux 6 Server Beta (Source RPMs) from RHUI
  -  30: Red Hat Enterprise Linux 6 Server Beta from RHUI (Debug RPMs)
  -  31: Red Hat Enterprise Linux 6 Server Beta from RHUI (RPMs)
  -  32: Red Hat Update Infrastructure 1.2 (Debug RPMs)
  -  33: Red Hat Update Infrastructure 1.2 (RPMs)
  -  34: Red Hat Update Infrastructure 1.2 (Source RPMs)
  -  35: Red Hat Update Infrastructure 2.0 (Debug RPMs)
  -  36: Red Hat Update Infrastructure 2.0 (RPMs)
  -  37: Red Hat Update Infrastructure 2.0 (Source RPMs)
Enter value (1-37) to toggle selection, 'c' to confirm selections, or '?' for more commands: 25

Select the products to be deployed to the RHUI (only undeployed products are displayed):
  -  1 : Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (Debug RPMs) from RHUI
  -  2 : Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (RPMs) from RHUI
  -  3 : Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (Source RPMs) from RHUI
  -  4 : Red Hat Enterprise Linux 5 Server - Supplementary (Debug RPMs) from RHUI
  -  5 : Red Hat Enterprise Linux 5 Server - Supplementary (RPMs) from RHUI
  -  6 : Red Hat Enterprise Linux 5 Server - Supplementary (Source RPMs) from RHUI
  -  7 : Red Hat Enterprise Linux 5 Server - Supplementary Beta (Debug RPMs) from RHUI
  -  8 : Red Hat Enterprise Linux 5 Server - Supplementary Beta (RPMs) from RHUI
  -  9 : Red Hat Enterprise Linux 5 Server - Supplementary Beta (Source RPMs) from RHUI
  -  10: Red Hat Enterprise Linux 5 Server Beta from RHUI (Debug RPMs)
  -  11: Red Hat Enterprise Linux 5 Server Beta from RHUI (RPMs)
  -  12: Red Hat Enterprise Linux 5 Server Beta from RHUI (Source RPMs)
  -  13: Red Hat Enterprise Linux 5 Server from RHUI (Debug RPMs)
  -  14: Red Hat Enterprise Linux 5 Server from RHUI (Source RPMs)
  -  15: Red Hat Enterprise Linux 6 Server (Debug RPMs) from RHUI
  -  16: Red Hat Enterprise Linux 6 Server (Source RPMs) from RHUI
  -  17: Red Hat Enterprise Linux 6 Server - Optional (Debug RPMs) from RHUI
  -  18: Red Hat Enterprise Linux 6 Server - Optional (RPMs) from RHUI
  -  19: Red Hat Enterprise Linux 6 Server - Optional (Source RPMs) from RHUI
  -  20: Red Hat Enterprise Linux 6 Server - Optional Beta (Source RPMs) from RHUI
  -  21: Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI (RPMs)
  -  22: Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI(Debug RPMs)
  -  23: Red Hat Enterprise Linux 6 Server - Supplementary (Debug RPMs) from RHUI
  -  24: Red Hat Enterprise Linux 6 Server - Supplementary (RPMs) from RHUI
  x  25: Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI
  -  26: Red Hat Enterprise Linux 6 Server - Supplementary Beta (Debug RPMs) from RHUI
  -  27: Red Hat Enterprise Linux 6 Server - Supplementary Beta (RPMs) from RHUI
  -  28: Red Hat Enterprise Linux 6 Server - Supplementary Beta (Source RPMs) from RHUI
  -  29: Red Hat Enterprise Linux 6 Server Beta (Source RPMs) from RHUI
  -  30: Red Hat Enterprise Linux 6 Server Beta from RHUI (Debug RPMs)
  -  31: Red Hat Enterprise Linux 6 Server Beta from RHUI (RPMs)
  -  32: Red Hat Update Infrastructure 1.2 (Debug RPMs)
  -  33: Red Hat Update Infrastructure 1.2 (RPMs)
  -  34: Red Hat Update Infrastructure 1.2 (Source RPMs)
  -  35: Red Hat Update Infrastructure 2.0 (Debug RPMs)
  -  36: Red Hat Update Infrastructure 2.0 (RPMs)
  -  37: Red Hat Update Infrastructure 2.0 (Source RPMs)
Enter value (1-37) to toggle selection, 'c' to confirm selections, or '?' for more commands: c


The following products will be deployed:
  Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI
Proceed? (y/n) y


Importing Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI...
  Importing product repository Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI (6Server-x86_64)...
  Importing product repository Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI (6Server-i386)...

Content will not be downloaded to the newly imported repositories
until the next sync is run.

------------------------------------------------------------------------------
rhui (repo) => <

------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Home =-

   r   manage repositories
   c   manage content delivery servers (CDS)
   s   synchronization status and scheduling
   e   create entitlement certificates and client configuration RPMs
   n   manage Red Hat entitlement certificates
   u   manage users
   i   manage identity certificate

                                                          Connected: rhua-host
------------------------------------------------------------------------------
rhui (home) => s

------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Synchronization Status =-

   dr  display repo sync summary
   vr  view the details of the last repository sync
   sr  sync an individual repository immediately
   dc  display CDS sync summary
   vc  view the details of the last CDS sync
   sc  sync an individual CDS immediately

                                                          Connected: rhua-host
------------------------------------------------------------------------------
rhui (sync) => sr

Select one or more repositories to schedule to be synchronized before its scheduled time.
The sync will happen as soon as possible depending on other tasks that may be executing
in the RHUI. Only repositories that are not currently synchronizing are displayed.

         Last Result         Next Sync         Repository
         ------------------------------------------
  -  1 : Success    04-18-2012 08:58  Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-i386)
  -  2 : Success    04-18-2012 08:58  Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-x86_64)
  -  3 : Success    04-18-2012 08:36  Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-i386)
  -  4 : Success    04-18-2012 08:36  Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-x86_64)
  -  5 : Success    04-18-2012 09:21  Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI (6Server-i386)
  -  6 : Success    04-18-2012 09:21  Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI (6Server-x86_64)
  -  7 : Success    04-18-2012 13:33  Red Hat Update Infrastructure 2.0 (RPMs) (6Server-x86_64)
Enter value (1-7) to toggle selection, 'c' to confirm selections, or '?' for more commands: 5-6

Select one or more repositories to schedule to be synchronized before its scheduled time.
The sync will happen as soon as possible depending on other tasks that may be executing
in the RHUI. Only repositories that are not currently synchronizing are displayed.

         Last Result         Next Sync         Repository
         ------------------------------------------
  -  1 : Success    04-18-2012 08:58  Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-i386)
  -  2 : Success    04-18-2012 08:58  Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-x86_64)
  -  3 : Success    04-18-2012 08:36  Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-i386)
  -  4 : Success    04-18-2012 08:36  Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-x86_64)
  x  5 : Success    04-18-2012 09:21  Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI (6Server-i386)
  x  6 : Success    04-18-2012 09:21  Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI (6Server-x86_64)
  -  7 : Success    04-18-2012 13:33  Red Hat Update Infrastructure 2.0 (RPMs) (6Server-x86_64)
Enter value (1-7) to toggle selection, 'c' to confirm selections, or '?' for more commands: y

Select one or more repositories to schedule to be synchronized before its scheduled time.
The sync will happen as soon as possible depending on other tasks that may be executing
in the RHUI. Only repositories that are not currently synchronizing are displayed.

         Last Result         Next Sync         Repository
         ------------------------------------------
  -  1 : Success    04-18-2012 08:58  Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-i386)
  -  2 : Success    04-18-2012 08:58  Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-x86_64)
  -  3 : Success    04-18-2012 08:36  Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-i386)
  -  4 : Success    04-18-2012 08:36  Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-x86_64)
  x  5 : Success    04-18-2012 09:21  Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI (6Server-i386)
  x  6 : Success    04-18-2012 09:21  Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI (6Server-x86_64)
  -  7 : Success    04-18-2012 13:33  Red Hat Update Infrastructure 2.0 (RPMs) (6Server-x86_64)
Enter value (1-7) to toggle selection, 'c' to confirm selections, or '?' for more commands: c


The following repositories will be scheduled for synchronization:
  Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI (6Server-i386)
  Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI (6Server-x86_64)
Proceed? (y/n) y


Scheduling sync for Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI (6Server-i386)...
... successfully scheduled for the next available timeslot.
Scheduling sync for Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI (6Server-x86_64)...
... successfully scheduled for the next available timeslot.

------------------------------------------------------------------------------
rhui (sync) => dr

------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Repository Synchronization Status =-

Last Refreshed: 08:22:56
(updated every 5 seconds, ctrl+c to exit)

Next Sync                    Last Sync                    Last Result
------------------------------------------------------------------------------
Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-i386)
04-18-2012 08:58             04-18-2012 03:16             Success

Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-x86_64)
04-18-2012 08:58             04-18-2012 03:20             Success

Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-i386)
04-18-2012 08:36             04-18-2012 02:43             Success

Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-x86_64)
04-18-2012 08:36             04-18-2012 02:45             Success

Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI (6Server-i386)
04-18-2012 09:21             04-18-2012 08:22             Success

Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI (6Server-x86_64)
04-18-2012 09:21             04-18-2012 08:22             Success

Red Hat Update Infrastructure 2.0 (RPMs) (6Server-x86_64)
04-18-2012 13:33             04-18-2012 08:14             Success


                                                          Connected: rhua-host
------------------------------------------------------------------------------

------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Repository Synchronization Status =-

Last Refreshed: 08:23:03
(updated every 5 seconds, ctrl+c to exit)

Next Sync                    Last Sync                    Last Result
------------------------------------------------------------------------------
Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-i386)
04-18-2012 08:58             04-18-2012 03:16             Success

Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-x86_64)
04-18-2012 08:58             04-18-2012 03:20             Success

Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-i386)
04-18-2012 08:36             04-18-2012 02:43             Success

Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-x86_64)
04-18-2012 08:36             04-18-2012 02:45             Success

Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI (6Server-i386)
04-18-2012 09:21             04-18-2012 08:22             Success

Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI (6Server-x86_64)
04-18-2012 09:21             04-18-2012 08:22             Success

Red Hat Update Infrastructure 2.0 (RPMs) (6Server-x86_64)
04-18-2012 13:33             04-18-2012 08:14             Success


                                                          Connected: rhua-host
------------------------------------------------------------------------------
^Crhui (sync) => <

------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Home =-

   r   manage repositories
   c   manage content delivery servers (CDS)
   s   synchronization status and scheduling
   e   create entitlement certificates and client configuration RPMs
   n   manage Red Hat entitlement certificates
   u   manage users
   i   manage identity certificate

                                                          Connected: rhua-host
------------------------------------------------------------------------------
rhui (home) => r

------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Repository Management =-

   l   list repositories currently managed by the RHUI
   i   display detailed information on a repository
   a   add a new Red Hat content repository
   c   create a new custom repository
   d   delete a repository from the RHUI
   u   upload content to a custom repository
   p   list packages in a repository

                                                          Connected: rhua-host
------------------------------------------------------------------------------
rhui (repo) => a

Determining undeployed products...
... product list calculated

Import Repositories:
  1  - All in Certificate
  2  - By Product
  3  - By Repository
Enter value (1-3) or 'b' to abort: b


------------------------------------------------------------------------------
rhui (repo) => d

Select one or more repositories:

  Custom Repositories
    -  1 : gkrellm-x86_64
    -  2 : rpmforge-el5-i386
    -  3 : rpmforge-el5-x86_64
    -  4 : rpmforge-el6-x86_64

  Red Hat Repositories
    -  5 : Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-i386)
    -  6 : Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-x86_64)
    -  7 : Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-i386)
    -  8 : Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-x86_64)
    -  9 : Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI (6Server-i386)
    -  10: Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI (6Server-x86_64)
    -  11: Red Hat Update Infrastructure 2.0 (RPMs) (6Server-x86_64)

Enter value (1-11) to toggle selection, 'c' to confirm selections, or '?' for more commands: 9-10

Select one or more repositories:

  Custom Repositories
    -  1 : gkrellm-x86_64
    -  2 : rpmforge-el5-i386
    -  3 : rpmforge-el5-x86_64
    -  4 : rpmforge-el6-x86_64

  Red Hat Repositories
    -  5 : Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-i386)
    -  6 : Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-x86_64)
    -  7 : Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-i386)
    -  8 : Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-x86_64)
    x  9 : Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI (6Server-i386)
    x  10: Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI (6Server-x86_64)
    -  11: Red Hat Update Infrastructure 2.0 (RPMs) (6Server-x86_64)

Enter value (1-11) to toggle selection, 'c' to confirm selections, or '?' for more commands: c


The following repositories will be deleted:
  Red Hat Repositories
    Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI (6Server-i386)
    Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI (6Server-x86_64)

Proceed? (y/n) y


Deleting Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI (6Server-i386)...
Deleting Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI (6Server-x86_64)...

------------------------------------------------------------------------------
rhui (repo) => ^Z
[1]+  Stopped                 rhui-manager
[root@rhua-host ~]# vim /etc/sysconfig/iptables
[root@rhua-host ~]# service iptables restart
iptables: Flushing firewall rules:                         [  OK  ]
iptables: Setting chains to policy ACCEPT: filter          [  OK  ]
iptables: Unloading modules:                               [  OK  ]
iptables: Applying firewall rules: Bad argument `tcp'
Error occurred at line: 8
Try `iptables-restore -h' or 'iptables-restore --help' for more information.
                                                           [FAILED]
[root@rhua-host ~]# fg
rhui-manager
^Z
[1]+  Stopped                 rhui-manager
[root@rhua-host ~]# vim /etc/sysconfig/iptables
[root@rhua-host ~]# service iptables restart
iptables: Flushing firewall rules:                         [  OK  ]
iptables: Setting chains to policy ACCEPT: filter          [  OK  ]
iptables: Unloading modules:                               [  OK  ]
iptables: Applying firewall rules: Bad argument `tcp'
Error occurred at line: 8
Try `iptables-restore -h' or 'iptables-restore --help' for more information.
                                                           [FAILED]
[root@rhua-host ~]# fg
rhui-manager
^Z
[1]+  Stopped                 rhui-manager
[root@rhua-host ~]# vim /etc/sysconfig/iptables
[root@rhua-host ~]# service iptables restart
iptables: Flushing firewall rules:                         [  OK  ]
iptables: Setting chains to policy ACCEPT: filter          [  OK  ]
iptables: Unloading modules:                               [  OK  ]
iptables: Applying firewall rules:                         [  OK  ]
[root@rhua-host ~]# service iptables status
Table: filter
Chain INPUT (policy ACCEPT)
num  target     prot opt source               destination
1    ACCEPT     all  --  0.0.0.0/0            0.0.0.0/0           state RELATED,ESTABLISHED
2    ACCEPT     icmp --  0.0.0.0/0            0.0.0.0/0
3    ACCEPT     all  --  0.0.0.0/0            0.0.0.0/0
4    ACCEPT     tcp  --  0.0.0.0/0            0.0.0.0/0           state NEW tcp dpt:22
5    ACCEPT     tcp  --  0.0.0.0/0            0.0.0.0/0           state NEW tcp dpt:443
6    ACCEPT     tcp  --  0.0.0.0/0            0.0.0.0/0           state NEW tcp dpt:5674
7    REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited

Chain FORWARD (policy ACCEPT)
num  target     prot opt source               destination
1    REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited

Chain OUTPUT (policy DROP)
num  target     prot opt source               destination
1    ACCEPT     all  --  0.0.0.0/0            0.0.0.0/0
2    REJECT     tcp  --  0.0.0.0/0            0.0.0.0/0           tcp dpt:443 reject-with icmp-port-unreachable
3    ACCEPT     all  --  0.0.0.0/0            0.0.0.0/0

[root@rhua-host ~]# rhui-manager status
cds1 ........................................................ [  UP  ]

cds1 ........................................................ [  SUCCESS  ]
cds2 ........................................................ [  UP  ]

cds2 ........................................................ [  SUCCESS  ]

Red Hat Update Infrastructure 2.0 (RPMs) (6Server-x86_64) ............. [  SUCCESS  ]

Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-i386) ..... [  SUCCESS  ]

Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-x86_64) ... [  SUCCESS  ]

Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-i386) ..... [  SUCCESS  ]

Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-x86_64) ... [  SUCCESS  ]

Identity certificate expiration date = 2022-04-15T14:22:13Z  .......... [  OK  ]

Entitlement CA certificate expiration date = 2013-04-16T10:02:22Z  .... [  OK  ]
0
[root@rhua-host ~]# fg
rhui-manager
?

------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Repository Management =-

   l   list repositories currently managed by the RHUI
   i   display detailed information on a repository
   a   add a new Red Hat content repository
   c   create a new custom repository
   d   delete a repository from the RHUI
   u   upload content to a custom repository
   p   list packages in a repository

   logout
       removes stored authentication credentials and exits

   <   move to the previous screen
   ^, home
       move to the home screen
   /, clear
       clears the screen
   ?, help
       display help
   q, quit, exit
       exit

                                                          Connected: rhua-host
------------------------------------------------------------------------------
rhui (repo) => a

Determining undeployed products...
... product list calculated

Import Repositories:
  1  - All in Certificate
  2  - By Product
  3  - By Repository
Enter value (1-3) or 'b' to abort: 2

All repositories for selected products will be imported in this process.

Select the products to be deployed to the RHUI (only undeployed products are displayed):
  -  1 : Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (Debug RPMs) from RHUI
  -  2 : Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (RPMs) from RHUI
  -  3 : Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (Source RPMs) from RHUI
  -  4 : Red Hat Enterprise Linux 5 Server - Supplementary (Debug RPMs) from RHUI
  -  5 : Red Hat Enterprise Linux 5 Server - Supplementary (RPMs) from RHUI
  -  6 : Red Hat Enterprise Linux 5 Server - Supplementary (Source RPMs) from RHUI
  -  7 : Red Hat Enterprise Linux 5 Server - Supplementary Beta (Debug RPMs) from RHUI
  -  8 : Red Hat Enterprise Linux 5 Server - Supplementary Beta (RPMs) from RHUI
  -  9 : Red Hat Enterprise Linux 5 Server - Supplementary Beta (Source RPMs) from RHUI
  -  10: Red Hat Enterprise Linux 5 Server Beta from RHUI (Debug RPMs)
  -  11: Red Hat Enterprise Linux 5 Server Beta from RHUI (RPMs)
  -  12: Red Hat Enterprise Linux 5 Server Beta from RHUI (Source RPMs)
  -  13: Red Hat Enterprise Linux 5 Server from RHUI (Debug RPMs)
  -  14: Red Hat Enterprise Linux 5 Server from RHUI (Source RPMs)
  -  15: Red Hat Enterprise Linux 6 Server (Debug RPMs) from RHUI
  -  16: Red Hat Enterprise Linux 6 Server (Source RPMs) from RHUI
  -  17: Red Hat Enterprise Linux 6 Server - Optional (Debug RPMs) from RHUI
  -  18: Red Hat Enterprise Linux 6 Server - Optional (RPMs) from RHUI
  -  19: Red Hat Enterprise Linux 6 Server - Optional (Source RPMs) from RHUI
  -  20: Red Hat Enterprise Linux 6 Server - Optional Beta (Source RPMs) from RHUI
  -  21: Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI (RPMs)
  -  22: Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI(Debug RPMs)
  -  23: Red Hat Enterprise Linux 6 Server - Supplementary (Debug RPMs) from RHUI
  -  24: Red Hat Enterprise Linux 6 Server - Supplementary (RPMs) from RHUI
  -  25: Red Hat Enterprise Linux 6 Server - Supplementary Beta (Debug RPMs) from RHUI
  -  26: Red Hat Enterprise Linux 6 Server - Supplementary Beta (RPMs) from RHUI
  -  27: Red Hat Enterprise Linux 6 Server - Supplementary Beta (Source RPMs) from RHUI
  -  28: Red Hat Enterprise Linux 6 Server Beta (Source RPMs) from RHUI
  -  29: Red Hat Enterprise Linux 6 Server Beta from RHUI (Debug RPMs)
  -  30: Red Hat Enterprise Linux 6 Server Beta from RHUI (RPMs)
  -  31: Red Hat Update Infrastructure 1.2 (Debug RPMs)
  -  32: Red Hat Update Infrastructure 1.2 (RPMs)
  -  33: Red Hat Update Infrastructure 1.2 (Source RPMs)
  -  34: Red Hat Update Infrastructure 2.0 (Debug RPMs)
  -  35: Red Hat Update Infrastructure 2.0 (RPMs)
  -  36: Red Hat Update Infrastructure 2.0 (Source RPMs)
Enter value (1-36) to toggle selection, 'c' to confirm selections, or '?' for more commands: 23

Select the products to be deployed to the RHUI (only undeployed products are displayed):
  -  1 : Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (Debug RPMs) from RHUI
  -  2 : Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (RPMs) from RHUI
  -  3 : Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (Source RPMs) from RHUI
  -  4 : Red Hat Enterprise Linux 5 Server - Supplementary (Debug RPMs) from RHUI
  -  5 : Red Hat Enterprise Linux 5 Server - Supplementary (RPMs) from RHUI
  -  6 : Red Hat Enterprise Linux 5 Server - Supplementary (Source RPMs) from RHUI
  -  7 : Red Hat Enterprise Linux 5 Server - Supplementary Beta (Debug RPMs) from RHUI
  -  8 : Red Hat Enterprise Linux 5 Server - Supplementary Beta (RPMs) from RHUI
  -  9 : Red Hat Enterprise Linux 5 Server - Supplementary Beta (Source RPMs) from RHUI
  -  10: Red Hat Enterprise Linux 5 Server Beta from RHUI (Debug RPMs)
  -  11: Red Hat Enterprise Linux 5 Server Beta from RHUI (RPMs)
  -  12: Red Hat Enterprise Linux 5 Server Beta from RHUI (Source RPMs)
  -  13: Red Hat Enterprise Linux 5 Server from RHUI (Debug RPMs)
  -  14: Red Hat Enterprise Linux 5 Server from RHUI (Source RPMs)
  -  15: Red Hat Enterprise Linux 6 Server (Debug RPMs) from RHUI
  -  16: Red Hat Enterprise Linux 6 Server (Source RPMs) from RHUI
  -  17: Red Hat Enterprise Linux 6 Server - Optional (Debug RPMs) from RHUI
  -  18: Red Hat Enterprise Linux 6 Server - Optional (RPMs) from RHUI
  -  19: Red Hat Enterprise Linux 6 Server - Optional (Source RPMs) from RHUI
  -  20: Red Hat Enterprise Linux 6 Server - Optional Beta (Source RPMs) from RHUI
  -  21: Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI (RPMs)
  -  22: Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI(Debug RPMs)
  x  23: Red Hat Enterprise Linux 6 Server - Supplementary (Debug RPMs) from RHUI
  -  24: Red Hat Enterprise Linux 6 Server - Supplementary (RPMs) from RHUI
  -  25: Red Hat Enterprise Linux 6 Server - Supplementary Beta (Debug RPMs) from RHUI
  -  26: Red Hat Enterprise Linux 6 Server - Supplementary Beta (RPMs) from RHUI
  -  27: Red Hat Enterprise Linux 6 Server - Supplementary Beta (Source RPMs) from RHUI
  -  28: Red Hat Enterprise Linux 6 Server Beta (Source RPMs) from RHUI
  -  29: Red Hat Enterprise Linux 6 Server Beta from RHUI (Debug RPMs)
  -  30: Red Hat Enterprise Linux 6 Server Beta from RHUI (RPMs)
  -  31: Red Hat Update Infrastructure 1.2 (Debug RPMs)
  -  32: Red Hat Update Infrastructure 1.2 (RPMs)
  -  33: Red Hat Update Infrastructure 1.2 (Source RPMs)
  -  34: Red Hat Update Infrastructure 2.0 (Debug RPMs)
  -  35: Red Hat Update Infrastructure 2.0 (RPMs)
  -  36: Red Hat Update Infrastructure 2.0 (Source RPMs)
Enter value (1-36) to toggle selection, 'c' to confirm selections, or '?' for more commands: b



------------------------------------------------------------------------------
rhui (repo) => l

Custom Repositories
  gkrellm-x86_64
  rpmforge-el6-x86_64
  rpmforge-el5-x86_64
  rpmforge-el5-i386

Red Hat Repositories
  Red Hat Update Infrastructure 2.0 (RPMs) (6Server-x86_64)
  Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-i386)
  Red Hat Enterprise Linux 6 Server (RPMs) from RHUI (6Server-x86_64)
  Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-i386)
  Red Hat Enterprise Linux 5 Server from RHUI (RPMs) (5Server-x86_64)


------------------------------------------------------------------------------
rhui (repo) => a

Determining undeployed products...
... product list calculated

Import Repositories:
  1  - All in Certificate
  2  - By Product
  3  - By Repository
Enter value (1-3) or 'b' to abort: 2

All repositories for selected products will be imported in this process.

Select the products to be deployed to the RHUI (only undeployed products are displayed):
  -  1 : Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (Debug RPMs) from RHUI
  -  2 : Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (RPMs) from RHUI
  -  3 : Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (Source RPMs) from RHUI
  -  4 : Red Hat Enterprise Linux 5 Server - Supplementary (Debug RPMs) from RHUI
  -  5 : Red Hat Enterprise Linux 5 Server - Supplementary (RPMs) from RHUI
  -  6 : Red Hat Enterprise Linux 5 Server - Supplementary (Source RPMs) from RHUI
  -  7 : Red Hat Enterprise Linux 5 Server - Supplementary Beta (Debug RPMs) from RHUI
  -  8 : Red Hat Enterprise Linux 5 Server - Supplementary Beta (RPMs) from RHUI
  -  9 : Red Hat Enterprise Linux 5 Server - Supplementary Beta (Source RPMs) from RHUI
  -  10: Red Hat Enterprise Linux 5 Server Beta from RHUI (Debug RPMs)
  -  11: Red Hat Enterprise Linux 5 Server Beta from RHUI (RPMs)
  -  12: Red Hat Enterprise Linux 5 Server Beta from RHUI (Source RPMs)
  -  13: Red Hat Enterprise Linux 5 Server from RHUI (Debug RPMs)
  -  14: Red Hat Enterprise Linux 5 Server from RHUI (Source RPMs)
  -  15: Red Hat Enterprise Linux 6 Server (Debug RPMs) from RHUI
  -  16: Red Hat Enterprise Linux 6 Server (Source RPMs) from RHUI
  -  17: Red Hat Enterprise Linux 6 Server - Optional (Debug RPMs) from RHUI
  -  18: Red Hat Enterprise Linux 6 Server - Optional (RPMs) from RHUI
  -  19: Red Hat Enterprise Linux 6 Server - Optional (Source RPMs) from RHUI
  -  20: Red Hat Enterprise Linux 6 Server - Optional Beta (Source RPMs) from RHUI
  -  21: Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI (RPMs)
  -  22: Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI(Debug RPMs)
  -  23: Red Hat Enterprise Linux 6 Server - Supplementary (Debug RPMs) from RHUI
  -  24: Red Hat Enterprise Linux 6 Server - Supplementary (RPMs) from RHUI
  -  25: Red Hat Enterprise Linux 6 Server - Supplementary Beta (Debug RPMs) from RHUI
  -  26: Red Hat Enterprise Linux 6 Server - Supplementary Beta (RPMs) from RHUI
  -  27: Red Hat Enterprise Linux 6 Server - Supplementary Beta (Source RPMs) from RHUI
  -  28: Red Hat Enterprise Linux 6 Server Beta (Source RPMs) from RHUI
  -  29: Red Hat Enterprise Linux 6 Server Beta from RHUI (Debug RPMs)
  -  30: Red Hat Enterprise Linux 6 Server Beta from RHUI (RPMs)
  -  31: Red Hat Update Infrastructure 1.2 (Debug RPMs)
  -  32: Red Hat Update Infrastructure 1.2 (RPMs)
  -  33: Red Hat Update Infrastructure 1.2 (Source RPMs)
  -  34: Red Hat Update Infrastructure 2.0 (Debug RPMs)
  -  35: Red Hat Update Infrastructure 2.0 (RPMs)
  -  36: Red Hat Update Infrastructure 2.0 (Source RPMs)
Enter value (1-36) to toggle selection, 'c' to confirm selections, or '?' for more commands:
Comment 1 mkovacik 2012-04-19 06:23:27 EDT
Created attachment 578574 [details]
log files

/root/.rhui/rhui.log:        rhui.log
/var/log/pulp/client.log:    client.log
/var/log/pulp/pulp.log:      pulp.log
Comment 4 James Slagle 2012-04-19 11:08:29 EDT
this reproduces but only if you look at the list of 
available repos to add after adding the first time, and before deleting

so add, go to add again but abort and don't add anything, delete, add...repository is missing from the list

To work around, just logout/login to rhui-manager.  The issue is with the cache that rhui-manager uses to determine undeployed repos.  Must be a bug somewhere keeping the cache updated.

Bumping to 2.1
Comment 5 wes hayutin 2012-05-23 13:29:06 EDT
This should be fixed w/ this commit 

commit c6d41418d76e35d0316351878c2b215bf25a3746
Author: wes hayutin <weshayutin@gmail.com>
Date:   Fri May 18 13:30:59 2012 -0400

    bz 809810, if add repo fails in rhui-manager, error out and repopulate list of available products
Comment 6 mkovacik 2012-08-02 06:55:21 EDT
Created attachment 601922 [details]
Verifying screen log

Problem solved in
 - rh-rhui-tools 2.0.68
 - build RHEL-6.3-RHUI-2.1-20120705.0-Server-x86_64-DVD1.iso

from the screen log attached:
  Import canceled or failed.
  Please wait while the list of entitled products are repopulated

  Loading latest entitled products from Red Hat...
  ... listings loaded
  Please try again.

So the available repo list is re-populated indeed having cancelled and the discrepancy doesn't show any more. See the log attached.
Comment 7 Julie 2012-08-15 18:52:22 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
rhui-manager cannot perform add-delete-add repositories. When a repository is deleted, it is no longer available for adding back. rh-rhui-tools 2.0.68 has been patched so that if add repo fails in rhui-manager, a list of available products will repopulate, and thus solve the list discrepancy problem.
Comment 9 errata-xmlrpc 2012-08-24 07:54:18 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2012-1205.html

Note You need to log in before you can comment on or make changes to this bug.